ZMObject
|
+--ZMQueryDetails
public class ZMQueryDetails
extends ZMObject
| Fields inherited from org.zenmagick.ZMObject | |
|---|---|
| properties_ | |
| Constructor Summary | |
|---|---|
ZMQueryDetails(ZMDatabase database, string sql, array args, string modelClass, string countCol, mixed mapping) Create new instance. |
|
| Method Summary | |
|---|---|
| array | getArgs() Get the query parameter. |
| string | Get the count column SQL. |
| string | Get the database. |
| mixed | Get the query mapping. |
| string | Get the query model class. |
| string | getSql() Get the sql. |
| mixed | query(string sql) Execute the query with either the original or alternative SQL. |
| Methods inherited from org.zenmagick.ZMObject | |
|---|---|
| attachMethod, get, getAttachedMethods, getPropertyNames, set, singleton | |
public ZMQueryDetails(ZMDatabase database, string sql, array args, string modelClass, string countCol, mixed mapping)
Create new instance.
The parameters here correspond to ZMDatabase#query().
array().null.null.null to compute.public array getArgs()
Get the query parameter.
public string getCountCol()
Get the count column SQL.
public string getDatabase()
Get the database.
public mixed getMapping()
Get the query mapping.
public string getModelClass()
Get the query model class.
public string getSql()
Get the sql.
public mixed query(string sql)
Execute the query with either the original or alternative SQL.
null to use the original SQL.
Query details as returned by the
ZMSQLAwareinterface method.